Bug 522462 - Make iprinit init script LSB compilant
Summary: Make iprinit init script LSB compilant
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: iprutils
Version: 12
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: David Woodhouse
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: InitScriptsProject
TreeView+ depends on / blocked
 
Reported: 2009-09-10 11:56 UTC by Josef Skladanka
Modified: 2010-02-01 01:00 UTC (History)
5 users (show)

Fixed In Version: 2.2.18-1.fc12
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-02-01 01:00:53 UTC


Attachments (Terms of Use)

Description Josef Skladanka 2009-09-10 11:56:45 UTC
Tested on ppc, since the package appears to be unavailable on any other
architecture.

1) The initscript does not match the template
<https://fedoraproject.org/wiki/Packaging/SysVInitScript#Initscript_template> -
from what I tested it lacks the exec and config variables

2) force-reload is not mentioned in usage, even though it appears to be
implemented.

3) status action always returns 0, even though it writes out the right status
message

How reproducible:
always

Steps to reproduce:
1) service iprdump start
2) service iprdump stop
3) service iprdump status

Actual results:
The status action writes "iprdump is stopped" to STDOUT, but returncode is 0

Expected results:
Return code of the third step is 3

Comment 1 Roman Rakus 2009-10-05 13:49:04 UTC
Should be fixed in iprutils-2.2.17-2.fc13, but cannot be build so far - changing to modified.

Comment 3 Bug Zapper 2009-11-16 12:11:49 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 5 Fedora Update System 2010-01-29 12:41:06 UTC
iprutils-2.2.18-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/iprutils-2.2.18-1.fc12

Comment 6 Fedora Update System 2010-02-01 01:00:40 UTC
iprutils-2.2.18-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.